local scene = getCurrentScene()
local viewport = Viewport(scene:getObjectByName("viewport"))
local im = getInputManager()
local touchscreen  = TouchScreen(im:getDevice(TIINPUT_TOUCHSCREENDEVICE))
touchscreen:acquire()

local skip = false

coroutine.yield()

repeat
	skip = false
	local touches = touchscreen:getTouches()
	if (#touches > 0) then
		local t = touches[1]
		local obj = viewport:pick(t.position.x, t.position.y)
		if obj:isNull() then
			LOG("Touch obj in SATCH is null")
		else
			LOG("Touch obj in SATCH is "..obj:getName())
			if t.taps> 0 then
				touchCallback(g_targetIndex, g_keyFrame, obj:getName(), t.taps, t.position.x, t.position.y)
				if targets[g_keyFrame+1]~=nil  and targets[g_keyFrame+1]['touchUrl']~=nil then
					local url = targets[g_keyFrame+1]['touchUrl']
					luaExternalFuncCallback("view", url)
				end
			end
		end
	end
until coroutine.yield()
