local scene = getCurrentScene()
local viewport = Viewport(scene:getObjectByName("viewport"))
local im = getInputManager()
local renderWindow = RenderWindow(getCurrentScene():getMainView())
local Mickey = Mouse(im:getDevice(TIINPUT_MOUSEDEVICE))
Mickey:setDblClickThreshold(100)

local RWX, RWY = 0
local err = nil

local skip = false
local isclicked = false

coroutine.yield()

repeat
	skip = false
	isDblClicked = Mickey:wasButtonDblClicked(TIMOUSE_LEFTBUTTON)
	isclicked = Mickey:wasButtonReleased(TIMOUSE_LEFTBUTTON)
	if isclicked then
		err, RWX, RWY = renderWindow:getLocalCursorCoordinates()
		local obj = viewport:pick(RWX, RWY)
		if obj:isNull() then
			LOG("obj is null")
		else
			if isDblClicked then
				touchCallback(g_targetIndex, g_keyFrame, obj:getName(), 2, RWX, RWY)
			else
				touchCallback(g_targetIndex, g_keyFrame, obj:getName(), 1, RWX, RWY)
				if targets[g_keyFrame+1]~=nil  and targets[g_keyFrame+1]['touchUrl']~=nil then
					local url = targets[g_keyFrame+1]['touchUrl']
					luaExternalFuncCallback("view", url)
				end
			end
		end
	end

until coroutine.yield()
